API documentation for Signal & Event

Server
https://qa3-ao.adara.com
https://ao.adara.com
Server Variables
apiKey apiKey

Fields
KeyIn
AuthorizationHeader

Authenticates user based on client and endpoint id provided, returns authorization code on success

Auth
Request Body

authRequest

AuthRequestobject

Authorization Model

userobject

Container for user identifiers fora single request. At least one user ID is required

client_idint32

This required ID uniquely identifies each Client of the Integrating Partner. The identifier(s) will be generated and provided by ADARA

endpoint_ownerint32

This required ID uniquely identifies each Integrating Partner.The identifier will be generated and provided by ADARA

POST /api/1.1/auth
Copy
Responses
200

OK

stringstring
201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Response
Copy

Authenticates user based on client and endpoint id provided, returns authorization code on success

Auth
Request Body

authRequest

AuthRequestobject

Authorization Model

userobject

Container for user identifiers fora single request. At least one user ID is required

client_idint32

This required ID uniquely identifies each Client of the Integrating Partner. The identifier(s) will be generated and provided by ADARA

endpoint_ownerint32

This required ID uniquely identifies each Integrating Partner.The identifier will be generated and provided by ADARA

POST /api/auth
Copy
Responses
200

OK

stringstring
201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Response
Copy

Records event(feedback) provided by customer

Auth
Path Params
clientIdinteger

clientId

endpointOwnerIdinteger

endpointOwnerId

Request Body

eventRequest

EventApiRequestobject
eventsarray[object]

An array of events objects. An Event API request can contain multiple events associated with the specified user. At least one events object must be specified

event_dataarray[string]

An array of strings representing the additional event data. The list must be in the same order as the items in the event_schema array

Enum: Class3,BusinessClass

event_namestring

Event name required for each event

event_schemaarray[string]

An array of strings representing column labels for additional event data

Enum: OFFERCLASS,OFFERPARAMS

event_tsstring

Timestamp of the event. In date/time format "yyyy-MM-dd HH:mm:ss"in UTC timezone. Required

offer_idstring

Event name required for each event

signal_codestring

Signal associated with theevent. Required for each event

userobject

Container for user identifiers for a single request. At least one user ID is required

adara_idint64

ADARA User ID. This is the id ADARA passes to Integrating Partner through a user id sync

clientobject

The Client ID specifies the client for which the Endpoint Owner is making the request

client_idint32

This is the unique ADARA generated ID assigned for each client of the Endpoint Owner. It is only required when a user identifier contained in the clientobject is passed

client_namestring

Name of the client

guidstring

Client's User GUID. This is a first party user identifier that does not apply tothe other user id classifications. This can be used for the Client's first party cookie id or an internal customer id

guid_sha256string
loyalty_idstring

Client's Loyalty IDfor the user, such as the frequent flyer or rewards number

pnrobject
pnr_idstring

Passenger Name Record(PNR)

timestampstring

Date of the PNR record. The required format is yyyy-MM-dd

tms_idstring

Client’s Tag Management SystemIDfor the user

email_md5string

MD5 hashed lower-cased email.

email_sha1string

SHA1 hashed lower-cased email

email_sha256string

SHA256 hashed lower-cased email. This is preferred emailhashing

mobileobject
androidobject

Container for Android mobile application IDs

ad_idstring

Android AdvertisingID

iosobject

Container for iOS mobile application IDs

idfastring

iOS Identifier for Advertisers (IDFA/IFA)

phone_sha256string

SHA-256 hashed phone number

tag_manager_idsarray[object]
tag_idstring
tag_manager_idstring
POST /api/1.1/events/{endpointOwnerId}/{clientId}
Copy
Responses
200

OK

No response body
201

Created

400

{"status": "EINVALID", "error": { "message": "Invalid Request" } }

401

{ "status": "ENOAUTH", "error": { "message": "Not Authenticated" } }

403

Forbidden

404

Not Found

Response
Copy

Records event(feedback) provided by customer

Auth
Path Params
clientIdinteger

clientId

endpointOwnerIdinteger

endpointOwnerId

Request Body

eventRequest

EventApiRequestobject
eventsarray[object]

An array of events objects. An Event API request can contain multiple events associated with the specified user. At least one events object must be specified

event_dataarray[string]

An array of strings representing the additional event data. The list must be in the same order as the items in the event_schema array

Enum: Class3,BusinessClass

event_namestring

Event name required for each event

event_schemaarray[string]

An array of strings representing column labels for additional event data

Enum: OFFERCLASS,OFFERPARAMS

event_tsstring

Timestamp of the event. In date/time format "yyyy-MM-dd HH:mm:ss"in UTC timezone. Required

offer_idstring

Event name required for each event

signal_codestring

Signal associated with theevent. Required for each event

userobject

Container for user identifiers for a single request. At least one user ID is required

adara_idint64

ADARA User ID. This is the id ADARA passes to Integrating Partner through a user id sync

clientobject

The Client ID specifies the client for which the Endpoint Owner is making the request

client_idint32

This is the unique ADARA generated ID assigned for each client of the Endpoint Owner. It is only required when a user identifier contained in the clientobject is passed

client_namestring

Name of the client

guidstring

Client's User GUID. This is a first party user identifier that does not apply tothe other user id classifications. This can be used for the Client's first party cookie id or an internal customer id

guid_sha256string
loyalty_idstring

Client's Loyalty IDfor the user, such as the frequent flyer or rewards number

pnrobject
pnr_idstring

Passenger Name Record(PNR)

timestampstring

Date of the PNR record. The required format is yyyy-MM-dd

tms_idstring

Client’s Tag Management SystemIDfor the user

email_md5string

MD5 hashed lower-cased email.

email_sha1string

SHA1 hashed lower-cased email

email_sha256string

SHA256 hashed lower-cased email. This is preferred emailhashing

mobileobject
androidobject

Container for Android mobile application IDs

ad_idstring

Android AdvertisingID

iosobject

Container for iOS mobile application IDs

idfastring

iOS Identifier for Advertisers (IDFA/IFA)

phone_sha256string

SHA-256 hashed phone number

tag_manager_idsarray[object]
tag_idstring
tag_manager_idstring
POST /api/events/{endpointOwnerId}/{clientId}
Copy
Responses
200

OK

No response body
201

Created

400

{"status": "EINVALID", "error": { "message": "Invalid Request" } }

401

{ "status": "ENOAUTH", "error": { "message": "Not Authenticated" } }

403

Forbidden

404

Not Found

Response
Copy

Provides score value for the requested signal(s)

Auth
Path Params
clientIdinteger

clientId

endpointOwnerIdinteger

endpointOwnerId

Request Body

APIRequest

ApiRequestobject
data_requestedarray[string]

Listof signal code identifiers. At least one item is required

Enum: ACS_SU_1

userobject

Container for user identifiers for a single request. At least one user ID is required

adara_idint64

ADARA User ID. This is the id ADARA passes to Integrating Partner through a user id sync

clientobject

The Client ID specifies the client for which the Endpoint Owner is making the request

client_idint32

This is the unique ADARA generated ID assigned for each client of the Endpoint Owner. It is only required when a user identifier contained in the clientobject is passed

client_namestring

Name of the client

guidstring

Client's User GUID. This is a first party user identifier that does not apply tothe other user id classifications. This can be used for the Client's first party cookie id or an internal customer id

guid_sha256string
loyalty_idstring

Client's Loyalty IDfor the user, such as the frequent flyer or rewards number

pnrobject
pnr_idstring

Passenger Name Record(PNR)

timestampstring

Date of the PNR record. The required format is yyyy-MM-dd

tms_idstring

Client’s Tag Management SystemIDfor the user

email_md5string

MD5 hashed lower-cased email.

email_sha1string

SHA1 hashed lower-cased email

email_sha256string

SHA256 hashed lower-cased email. This is preferred emailhashing

mobileobject
androidobject

Container for Android mobile application IDs

ad_idstring

Android AdvertisingID

iosobject

Container for iOS mobile application IDs

idfastring

iOS Identifier for Advertisers (IDFA/IFA)

phone_sha256string

SHA-256 hashed phone number

tag_manager_idsarray[object]
tag_idstring
tag_manager_idstring
POST /api/1.1/req/{endpointOwnerId}/{clientId}
Copy
Responses
200

OK

ApiResponseobject
responseobject

Container for the response information

signalsarray[object]

Array of signal code data for the requested signal(s)

signal_codestring

Signal code identifier for the requested signal

valuestring

Returned signal value for the specified user identifier. Depending on the signal code, the valuecan be an integer (such as 1 to 5 for a quintile form)or a raw decimal number

statusstring

Indicates status of the response

201

Created

400

{"status": "EINVALID", "error": { "message": "Invalid Request" } }

401

{ "status": "ENOAUTH", "error": { "message": "Not Authenticated" } }

403

Forbidden

404

Not Found

Response
Copy

Provides score value for the requested signal(s)

Auth
Path Params
clientIdinteger

clientId

endpointOwnerIdinteger

endpointOwnerId

Request Body

APIRequest

ApiRequestobject
data_requestedarray[string]

Listof signal code identifiers. At least one item is required

Enum: ACS_SU_1

userobject

Container for user identifiers for a single request. At least one user ID is required

adara_idint64

ADARA User ID. This is the id ADARA passes to Integrating Partner through a user id sync

clientobject

The Client ID specifies the client for which the Endpoint Owner is making the request

client_idint32

This is the unique ADARA generated ID assigned for each client of the Endpoint Owner. It is only required when a user identifier contained in the clientobject is passed

client_namestring

Name of the client

guidstring

Client's User GUID. This is a first party user identifier that does not apply tothe other user id classifications. This can be used for the Client's first party cookie id or an internal customer id

guid_sha256string
loyalty_idstring

Client's Loyalty IDfor the user, such as the frequent flyer or rewards number

pnrobject
pnr_idstring

Passenger Name Record(PNR)

timestampstring

Date of the PNR record. The required format is yyyy-MM-dd

tms_idstring

Client’s Tag Management SystemIDfor the user

email_md5string

MD5 hashed lower-cased email.

email_sha1string

SHA1 hashed lower-cased email

email_sha256string

SHA256 hashed lower-cased email. This is preferred emailhashing

mobileobject
androidobject

Container for Android mobile application IDs

ad_idstring

Android AdvertisingID

iosobject

Container for iOS mobile application IDs

idfastring

iOS Identifier for Advertisers (IDFA/IFA)

phone_sha256string

SHA-256 hashed phone number

tag_manager_idsarray[object]
tag_idstring
tag_manager_idstring
POST /api/req/{endpointOwnerId}/{clientId}
Copy
Responses
200

OK

ApiResponseobject
responseobject

Container for the response information

signalsarray[object]

Array of signal code data for the requested signal(s)

signal_codestring

Signal code identifier for the requested signal

valuestring

Returned signal value for the specified user identifier. Depending on the signal code, the valuecan be an integer (such as 1 to 5 for a quintile form)or a raw decimal number

statusstring

Indicates status of the response

201

Created

400

{"status": "EINVALID", "error": { "message": "Invalid Request" } }

401

{ "status": "ENOAUTH", "error": { "message": "Not Authenticated" } }

403

Forbidden

404

Not Found

Response
Copy